Skip to main content
GET
/
api
/
v1
/
fmr-rates
FMR Rates Lookup
curl --request GET \
  --url https://api.example.com/api/v1/fmr-rates
{
  "state": "TX",
  "location": "Houston",
  "year": 2025,
  "monthlyRent": 1150,
  "weeklyRentCents": 26559,
  "matched": true,
  "areaName": "Houston"
}
Returns HUD Fair Market Rent (1-bedroom monthly) for a given state and location. Used for cost-of-living comparisons and housing adequacy assessments.

Query Parameters

state
string
required
2-letter state code.
location
string
City or area name.
year
string
default:"current year"
Year (YYYY).

Response

{
  "state": "TX",
  "location": "Houston",
  "year": 2025,
  "monthlyRent": 1150,
  "weeklyRentCents": 26559,
  "matched": true,
  "areaName": "Houston"
}
monthlyRent
integer
Monthly 1-bedroom rent in dollars (not cents).
weeklyRentCents
integer
Weekly rent in cents (monthlyRent * 100 / 4.33).
matched
boolean
true if a specific rate was found, false if using the national median.

Errors

StatusCause
400Missing state parameter